# -*- encoding: utf-8 -*-
# stub: greater_less 1.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "greater_less".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Samuel Esposito".freeze, "Jorn van de Beek".freeze]
  s.date = "2018-11-14"
  s.description = "The GreaterLess Gem allows for making comparisons between floats and half-open intervals and apply simple arithmetics to the intervals preserving their mathematical meaning.".freeze
  s.email = "support@roqua.nl".freeze
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.md".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze]
  s.homepage = "http://github.com/roqua/greater_less".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Gem for handling floating point half-open intervals".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, ["~> 0"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<shoulda-matchers>.freeze, ["~> 0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0"])
  else
    s.add_dependency(%q<rake>.freeze, ["~> 0"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<shoulda-matchers>.freeze, ["~> 0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0"])
  end
end
